function transient_analysis_03
% Transient analysis of RLC circuit using ode function
ts=0;    % start time
te=0.5;  % end time
x0=[0 0 0 0];  % initial conditions
[t,x]=ode23t(@diffeq,[ts te],x0);
% plot iL1(t)
subplot(4,1,1); plot(t,x(:,1));
xlabel('t [s]'); ylabel('iL1(t) [A]'); grid on;
% plot iL2(t)
subplot(4,1,2); plot(t,x(:,2));
xlabel('t [s]'); ylabel('iL2(t) [A]'); grid on;
% plot uC1(t)
subplot(4,1,3); plot(t,x(:,3));
xlabel('t [s]'); ylabel('uC1(t) [V]'); grid on;
% plot uC2(t)
subplot(4,1,4); plot(t,x(:,4));
xlabel('t [s]'); ylabel('uC2(t) [V]'); grid on;
% differential equations
function dxdt=diffeq(t,x)
R0=100e+3; R1=300; R2=10e+3;
L1=0.01e-3; L2=10e-3;
C1=10e-6; C2=10e-9;
U0=10e+3;
A=[ -R1/L1      0       1/L1        -1/L1;
       0     -R2/L2      0           1/L2;
     -1/C1      0      -1/(R0*C1)     0;
      1/C2    -1/C2      0            0 ];
F=[0; 0; U0/(R0*C1); 0];
dxdt=A*[x(1); x(2); x(3); x(4)]+F;