clear; clc;
f=50;         % basic signal frequency
fs=f*2^5      % sampling frequency (FFT requires that fs=f*2^number)
dt=1/fs;
n=fs*4        % total samples (FFT requires that n=2^number, e.g. n=fs*4)
t=[0:n-1]*dt; % vector of times
w=2*pi*f;
y=150*sin(w*t)+60*sin(3*w*t);  % definition of signal y(t)
subplot(2,1,1);
plot(t(1:160),y(1:160));  % plots signal y(t) by means of the first 160 samples
title('Signal y(t)');
xlabel('t [s]');
Y=fft(y);     % performs FFT for samples of signal y(t)
fx=linspace(0,fs/2,n/2); % fx from 0 to fs/2, total of n/2 values
% It forms a frequency axis for the first half of points
% and uses it to plot the result. The remaining points are symmetric.
subplot(2,1,2);
plot(fx,2*abs(Y(1:n/2))/n);
title('Spectrum amplitudes of signal y(t)');
xlabel('f [Hz]'); ylabel('|Y(f)|');
