% Fourier Series Expansion
clear; clc;
f0=500; t=0:5e-5:4e-3; max_m=40;
for n=1:max_m
  s(n,:)=4/pi*sin((2*n-1)*2*pi*f0*t)/(2*n-1);
end
for m=2:max_m
 ex=sum(s(1:m,:));
 clf; % clear current figure
 plot(t,ex);
 xlabel('t [s]');
 ylabel('amplitude [V]');
 title('Fourier series expansion');
 axis([0 4e-3 -1.5 1.5]); % control axis scaling
 % It adds the text to location on the current axes.
 text(3e-3,1.3,['series = ',num2str(m)]);
 pause(0.2); % It pauses for 0.2 seconds before continuing.
end
