% Frequency response of RLC filter
clear; clc; R1=10000; R2=100; L=5; C=1.12e-6;
numerator1 = [R1*C 0]; denominator1 = [L*C R1*C 1];
w = logspace(1,4); f = w/(2*pi);
h1 = freqs(numerator1,denominator1,w);
mag1 = abs(h1); phase1 = angle(h1)*180/pi;
numerator2 = [R2*C 0]; denominator2 = [L*C R2*C 1];
h2 = freqs(numerator2,denominator2,w);
mag2 = abs(h2); phase2 = angle(h2)*180/pi;
subplot(2,2,1); loglog(f,mag1);
title('Magnitude response R = 10000 Ohms');
xlabel('frequency [Hz]'); ylabel('magnitude');
subplot(2,2,2); loglog(f,mag2);
title('Magnitude response R = 100 Ohms');
xlabel('frequency [Hz]'); ylabel('magnitude');
subplot(2,2,3); semilogx(f,phase1);
title('Phase response R = 10000 Ohms');
xlabel('frequency [Hz]'); ylabel('angle in degrees');
subplot(2,2,4); semilogx(f,phase2);
title('Phase response R = 100 Ohms');
xlabel('frequency [Hz]'); ylabel('angle in degrees');