% This program determines the power dissipated by
% 8-ohm resistor and current supplied by the 10-volt source
%
% the program computes the loop currents, when
% the impedance matrix Z and voltage vector U are given
%
% Z is the impedance matrix
% U is the voltage vector
% initialize the matrix Z and vector U of equation ZI=U
Z = [26  -20    0;
    -16   41   -6;
     -4   -6   24];
U = [10; 5; 0];
% solution for loop currents
I = inv(Z)*U;
% the power dissipation in 8-ohm resistor is P
P = 8*I(3)^2;
% print out the results
disp(['Power dissipated in 8-ohm resistor is ',num2str(P),' W.'])
disp(['Current in 10-volt source is ',num2str(I(1)),' A.'])